# Method System.NetGetDCName()

Method NetGetDCName

  `string NetGetDCName(string|int(0..0) server, string domain)`

Description

  Get name of the domain controller from a server.

Parameter `server`

  Server the domain exists on.

Parameter `domain`

  Domain to get the domain controller for.

Returns

  Returns the name of the domain controller on success. Throws errors on failure.

Note

  This function is only available on some Win32 systems.

See also

  NetUserGetInfo(), NetUserEnum(), NetGroupEnum(), NetLocalGroupEnum(), NetUserGetGroups(), NetUserGetLocalGroups(), NetGroupGetUsers(), NetLocalGroupGetMembers(), NetGetAnyDCName()